Delete one Department by name.
DELETE /users/department/name/{name}
Operation id: DepartmentService_DeleteDepartment
Description
This is an extension of DeleteWorkspace and DeleteThings.
Permission Level: Read-Write
Tags: DepartmentService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Name of the Department, Required = true |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | TenantId of the Department. Required: false (False as this can be inferred from the token) |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
{
"type": "object",
"properties": {}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}